{% extends 'base.html' %}

{% block hidesidebar %}
{% endblock %}

{% block customcontent %}
<div class="col-lg-12">
<form action="/map/edit/{{r.code}}/save" method="POST">
    {% csrf_token %}
    <label for="name">Name</label>
    <input type="text" name="name" id="name" value="{{r.name}}" class="form-control" required>
    <label for="description">Description</label>
    <textarea name="description" id="description" cols="30" rows="10" class="form-control" required>{{r.description}}</textarea>
    <label for="color">Color</label>
    <input type="text" name="color" id="color" value="{{r.color}}" class="form-control">
    <label for="hover_color">Hover Color</label>
    <input type="text" name="hover_color" id="hover_color" value="{{r.hover_color}}" class="form-control">
    <label for="url">Url</label>
    <input type="text" name="url" id="url" value="{{r.url}}" class="form-control">
    <br>
    <input type="submit" value="Save" class="btn btn-primary bgBlue">
    <a href="/map/" class="btn btn-primary bgBlue">Back</a>
</form>
</div>
{% endblock %}